import java.util.*;

/** Klasse fr einzelnes Rechungselement
 * @author Bernhard Fiser 0109815
 */
public class RechnungsElement
{
	public int	nummer;
	public int	menge;

	/** Constructor, initialisiert das Element auf 0 */
	public		RechnungsElement()
	{
		nummer = 0;
		menge = 0;
	}

	/** aus String ein Rechungselement parsen */
	public boolean	parseRechnungsElement(String s)
	{
		StringTokenizer	st;
		int		i;
		String		t;

		/* StringTokenizer initialisieren */
		i = 0;
		st = new StringTokenizer(s, ",");
		while (st.hasMoreTokens())
		{
			t = st.nextToken();
			switch (i)
			{
				/* Ersten Token in die Variable fr Artikelnummer schreiben */
				case 0 :
					try { this.nummer = Integer.parseInt(t); }
					catch (NumberFormatException e) { return(false); }
					break;
				/* Zweiten Token in die Variable fr die Menge schreiben */
				case 1 :
					try { this.menge = Integer.parseInt(t); }
					catch (NumberFormatException e) { return(false); }
					break;
				/* Falls mehr Tokens in Zeile, dann Fehler zurckgeben */
				default :
					return(false);
			}
			i++;
		}
		/* Falls zu wenig Tokens, dann Fehler zurckgeben */
		if (i < 2)
			return(false);
		/* Andernfalls alles ok */
		return(true);
	}
}